import Icon, {
  MenuFoldOutlined, MenuUnfoldOutlined,
  DatabaseOutlined, DatabaseFilled
} from '@ant-design/icons';
import { Button, Layout, Menu } from 'antd';
import 'antd/dist/antd.css';
import React from 'react';
import './App.less';
import DataTable from './Table';


const { Header, Content, Footer, Sider } = Layout;

class App extends React.Component {
  state = {
    collapsed: false,
  };

  toggleCollapsed = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
  };

  render() {
    return (
      <Layout>
        <Sider
            trigger={null}
            collapsible
            collapsed={this.state.collapsed}
        >
        <Button type="primary" onClick={this.toggleCollapsed} style={{ background: '#6739b6', width: "100%", colorRendering: "optimizeSpeed" }}>
            
            {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
        </Button>
          <Menu theme="dark" mode="inline" defaultSelectedKeys={['1']}
          defaultOpenKeys={['sub1']}
          inlineCollapsed={this.state.collapsed} 
          >
              <Menu.Item key="1" icon={<DatabaseFilled/>}  >
                  数据展示 
              </Menu.Item>
          </Menu>
      </Sider>
  <Layout>
  <Header style={{ background: '#000', padding:"0" }}>

      <span style={{color:'#fff', paddingLeft: "40%", fontSize:'1.2em'}}>
        标题
      </span>
  </Header>
  <Content style={{ margin: '0 8px' }}>
      <div style={{ padding: 24, background: '#fff', minHeight: 780 }}>
        <DataTable></DataTable>
      </div>
 </Content>
  <Footer style={{ textAlign: 'center' }}>
      Intimate ©2020 Created by eson
  </Footer>
  </Layout>
  </Layout>
);
  }
}

// ReactDOM.render(<App />, mountNode);



export default App;